-- [C6MartPeriodico].[PL_S170LimitiMassimi] 'f', 'PVRPGS53C25G388A'
CREATE     procedure [C6MartPeriodico].[PL_S170LimitiMassimi] --'S','FGGMSM57H28G999D'
 @Rete char(1), 
 @CodiceFiscale varchar(16)
AS
BEGIN
DECLARE @FLAGPROF varchar(16)
SET @FLAGPROF= (select distinct FLGPROF from C6MartPeriodico.WSEIAN2 where rete=@rete and CODFIS=@CodiceFiscale)
DECLARE @SCADUTO_PARZIALE varchar(16)
SET @SCADUTO_PARZIALE= (select distinct FLGPROF from C6MartPeriodico.wseirpf where rete=@rete and CODFIS=@CodiceFiscale)
-- 2/7/2018 - CR NAPOLITANO CASI 11-14 -> Persona Giuridica Retail con Nuovo questionario di profilatura (Legali Rappresentanti/Delegati NON Profilati)
DECLARE @newLimiteProfilo varchar(20)
if ltrim(rtrim([C6MartPeriodico].[getIndicatoreValutazione] (@Rete,@CodiceFiscale,default))) = '-1'
	set @newLimiteProfilo = 'n.d.'
else
	select @newLimiteProfilo = 
		case experience
			when 0 then 'Minima'
				when 1 then 'Bassa'
				when 2 then 'Medio bassa'
				when 3 then 'Medio alta'
				when 4 then 'Alta'
				--when 5 then 'Alta'
				else '-'
		end
		from C6MartPERIODICO.MIFID
		WHERE
		RETE = @Rete AND
		COD_FISCALE = @CodiceFiscale 
select 'Limite massimo profilo',
       '-' as Controvalore,
	case when @SCADUTO_PARZIALE='P' then '-'  else isnull(risk.descr, 0)
	end as rischioCreditoMassimo,
	case when @SCADUTO_PARZIALE='P' then '-'  else
	cast(isnull(CR.MAX_VAR, 0) as varchar(20))
	end
	as  varMassimo,     
	   '-' as Diversificazione,
	 case  when @SCADUTO_PARZIALE='P' then '-'
	 when @FLAGPROF='S' then 'n.a.'  --per i clienti Professionali
	 else  @newLimiteProfilo end as Complessita
from C6MartPERIODICO.MIFID AS M
left JOIN C6MartPERIODICO.CODIFICA_RISCHIO AS CR
ON M.PROFILO_ASS = CR.PROFILO
left join [C6StagingPeriodico].[RISKCLASS] risk
ON m.riskclass = risk.cod
WHERE
M.RETE = @Rete AND
M.COD_FISCALE = @CodiceFiscale 
END